/* sample configuration file for BIND 8.1 or later
 * should be installed as /etc/named.conf
 *
 * Author: Florian La Roche
 */

/* +++ Modified by Joachim Wiesemann +++ */

#
# overall options of the server
#
options {
	directory "/var/named";
	# the default is to fail, if the master file is not correct
	check-names master warn;

	pid-file "/var/named/slave/named.pid";

	datasize default;
	stacksize default;
	coresize default;
	files unlimited;
	recursion yes;

	multiple-cnames no;		// if yes, then a name my have more
					// than one CNAME RR.  This use
					// is non-standard and is not
					// recommended, but it is available
					// because previous releases supported
					// it and it was used by large sites
					// for load balancing.

	# the default is to ask the forwarders and if they fail
	# try to find the answer yourself, this will only ask the forwarders
	forward first;
	# list of DNS servers to ask

	forwarders {
		194.25.2.129; # DNS von t-online
  	};

        # +++ keine unnoetigen pakete! +++
        notify no;

	# the default is to listen on port 53 on all available interfaces
	# you can also give a detailed list:
	#listen-on { 5.6.7.8; };
	#listen-on port 1234 { !1.2.3.4; 1.2/16; };

	# +++ listen only on localnet +++
	listen-on { 127.0.0.1/32; 192.168.0.0/24; };

	# +++ clean up only every 12 hours +++
	cleaning-interval 720;
	statistics-interval 720;
};

# Hier kann zur Fehlersuche das loggen der einzelnen Ereignisse aktiviert werden
logging {
#        channel log {file "/var/log/named.log"; severity debug 1023;};
#        category packet { log;};
#	category queries {log;};
#	category lame-servers { null; };
#	category cname { null; };
};


zone "." IN {
        type hint;
        file "root.hint";
};

zone "localhost" IN {
	type master;
	file "localhost.zone";
	check-names fail;
	allow-update { none; };
};

zone "0.0.127.in-addr.arpa" IN {
	notify no;
	type master;
	file "127.0.0.zone";
};

zone "jo.home" IN {
	notify no;
	type master;
	file "jo.home.zone";
};

zone "0.168.192.in-addr.arpa" IN {
	notify no;
	type master;
	file "192.168.0.zone";
};

